% damper according to pim
clear all, close all

% nonlinear damper characteristics F=F(v) provided by lookup table [ v  F ]
damper_table = ...
[ -1.5080  -3500; ... 
  -1.1310  -2800; ...
  -0.5655  -1500; ...
  -0.4524  -1250; ...
  -0.3016  -1000; ...
  -0.1508   -650; ...
  -0.0377   -200; ...
   0.0000      0; ...
   0.0377    100; ...
   0.1508    150; ...
   0.3016    200; ...
   0.4524    250; ...
   0.5655    300; ...
   1.1310    500; ...
   1.5080    600 ]; 
       
subplot(1,2,1), hold on % generate F=F(u) via sine excitation
u0=0.06; freq=[0.1 0.4 0.8 1.2 1.5 3.0 4.0]; % amplitude [m] & frequencies [Hz]
for i=1:length(freq)
  t=linspace(0,1/freq(i),101); % time intervals
  u=zeros(size(t)); F=u; % pre-allocate vars to speed up inner loop
  for j=1:length(t)
    u(j)=u0*sin(2*pi*freq(i)*t(j)); vij=2*pi*freq(i)*u0*cos(2*pi*freq(i)*t(j));
    F(j)=interp1q(damper_table(:,1),damper_table(:,2),vij);
  end
  plot(u,F), grid on % force displacement curve at freq(i)
end

subplot(1,2,2) % plot characteristics F=F(v) and mark given points
plot(damper_table(:,1),damper_table(:,2),'-ok','MarkerSize',5), grid on