function xdot = hydro_mount_f(t,x)
% hydro mount including sweep sine excitation

  global  mf  cf  sf  df   p  q  amp  
% get states
  s = x(1);  sdot = x(2);    
% sweep sine excitation  
  arg=2*pi/q*log(p/(p-q*t)); u=amp*sin(arg);   
% fluid force including membran clearance  
  ff = f_smooth_clear((u-s), cf, sf);  
% acceleration of generalized fluid mass
  sddot = ( ff - df*sdot ) / mf ;
% state derivatives
  xdot = [ sdot; sddot ] ; 

end