function fi = interp1l( table, xi ) 
% linear inter- and extrapolation in lookup table:  table = [x, f]  

[n,m] = size(table); % size of table

if xi >= table(1,1) && xi <= table(n,1) % intermediate points
  fi = interp1q(table(:,1),table(:,2),xi); 
  return
end 
if xi < table(1,1) % linear extrapolation to the left
  dfdx = ( table(2,2) - table(1,2) ) / ( table(2,1) - table(1,1) ); 
  fi = table(1,2) + dfdx * ( xi - table(1,1) );
  return
end
if xi > table(n,1) % linear extrapolation to the right
  dfdx = ( table(n,2) - table(n-1,2) ) / ( table(n,1) - table(n-1,1) ); 
  fi = table(n,2) + dfdx * ( xi - table(n,1) );
  return
end

end