% quarter car model data (point to point damper with nonlinear characteristic)

g = 9.810;   % [m/s^2] gravity [m/s^2]
s = 0.250;   % [m]     distance joint B center of knuckle/trailing arm
a = 0.400;   % [m]     distance joint B center of wheel
b = 0.310;   % [m]     vertical distance chassis center to joint B
h = 0.600;   % [m]     height of chassis center
r0= 0.305;   % [m]     tire radius
d = 0.425;   % [m]     distance joint B damper attachment at knuckle
e = 0.420;   % [m]     damper attachment at chassis (horizontal position C-E)  
f = 0.020;   % [m]     damper attachment at chassis (vertical position C-E)  

mC= 200;    % [kg]     corresponding chassis mass (quarter car)
mK=  35;    % [kg]     mass of knuckle/trailing arm
mW=  15;    % [kg]     mass of wheel (rim and tire)

ThetaK=0.6; % [kgm^2]  inertia of knuckle/trailing arm
ThetaW=0.8; % [kgm^2]  inertia of wheel

Ts0=1200;   % [Nm]     preload in torsional spring
cs=10000;   % [Nm/rad] torsional spring rate
cx=180000;  % [N/m]    longitudinal tire stiffness
cz=220000;  % [N/m]    vertical tire stiffness
dx=   150;  % [Ns/m]   longitudinal tire damping

% nonlinear damper characteristic F=F(v) as lookup table [ v  F ]
damper_table = ...
[ -1.5080  -3500; ... 
  -1.1310  -2800; ...
  -0.5655  -1500; ...
  -0.4524  -1250; ...
  -0.3016  -1000; ...
  -0.1508   -650; ...
  -0.0377   -200; ...
   0.0000      0; ...
   0.0377    100; ...
   0.1508    150; ...
   0.3016    200; ...
   0.4524    250; ...
   0.5655    300; ...
   1.1310    500; ...
   1.5080    600 ]; 